summaryrefslogtreecommitdiffstats
path: root/extra/source/brltty/brltty.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-11-16 19:04:47 +0000
committer Eric Hameleers <alien@slackware.com>2021-11-17 08:59:57 +0100
commitd7f8114479246b27dd26bd891f5a95b1508c988f (patch)
treed0b844e2271795b169b555457d6c985221a3b156 /extra/source/brltty/brltty.SlackBuild
parent144debf9f0943eba5dc13a3884ada0003b2afb89 (diff)
downloadcurrent-f2c72b5b432da549a2976a1d2758a3fc80d2da64.tar.gz
current-f2c72b5b432da549a2976a1d2758a3fc80d2da64.tar.xz
Tue Nov 16 19:04:47 UTC 202120211116190447
ap/ksh93-1.0_7ea95b7-x86_64-1.txz: Upgraded. Changed the fetch script to pull the 1.0 branch. Packaged shcomp and man page and additional documentation. Merged some other changes to the build script. Thanks to Martijn Dekker (McDutchie). ap/vim-8.2.3605-x86_64-1.txz: Upgraded. l/imagemagick-7.1.0_14-x86_64-1.txz: Upgraded. l/python-markdown-3.3.5-x86_64-1.txz: Upgraded. xap/seamonkey-2.53.10-x86_64-1.txz: Upgraded. This update contains security fixes and improvements. For more information, see: https://www.seamonkey-project.org/releases/seamonkey2.53.10 (* Security fix *) xap/vim-gvim-8.2.3605-x86_64-1.txz: Upgraded. extra/brltty/brltty-6.4-x86_64-4.txz: Rebuilt. Fixed installation of the Tcl bindings. Thanks to Stuart Winter. extra/tigervnc/tigervnc-1.12.0-x86_64-1.txz: Upgraded. Thanks to alienBOB for the original build script, and to 0XBF and Linux From Scratch for some useful hints on getting this back in shape.
Diffstat (limited to 'extra/source/brltty/brltty.SlackBuild')
-rwxr-xr-xextra/source/brltty/brltty.SlackBuild5
1 files changed, 3 insertions, 2 deletions
diff --git a/extra/source/brltty/brltty.SlackBuild b/extra/source/brltty/brltty.SlackBuild
index df20dd56e..4e3a7d405 100755
--- a/extra/source/brltty/brltty.SlackBuild
+++ b/extra/source/brltty/brltty.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# Copyright 2010, 2012, 2013, 2016, 2017, 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2010, 2012, 2013, 2016, 2017, 2018, 2020, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -32,7 +32,7 @@ PKG=/tmp/package-brltty
PKGNAM=brltty
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -92,6 +92,7 @@ find . -perm 600 -exec chmod 644 {} \+
make $NUMJOBS || exit 1
make install INSTALL_ROOT=$PKG || exit 1
+make install TCL_DIR=/usr/lib${LIBDIRSUFFIX} INSTALL_ROOT=$PKG || exit 1
chmod 755 $PKG/bin/* $PKG/lib${LIBDIRSUFFIX}/brltty/*
# Add polkit configs: